|  | Home · All Classes · Modules

# QAbstractPrintDialog.PrintDialogOptions Class Reference
[QtGui module]

### Methods

- __init__ (self, PrintDialogOptions)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- PrintDialogOptions __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, PrintDialogOptions f)
- PrintDialogOptions __iand__ (self, int mask)
- int __int__ (self)
- PrintDialogOptions __invert__ (self)
- PrintDialogOptions __ior__ (self, PrintDialogOptions f)
- PrintDialogOptions __ixor__ (self, PrintDialogOptions f)
- bool __ne__ (self, PrintDialogOptions f)
- PrintDialogOptions __or__ (self, PrintDialogOptions f)
- PrintDialogOptions __or__ (self, int f)
- PrintDialogOptions __xor__ (self, PrintDialogOptions f)
- PrintDialogOptions __xor__ (self, int f)

## Detailed Description

PrintDialogOption may be used whenever PrintDialogOptions is expected.

## Method Documentation

### PrintDialogOptions.__init__ (self, PrintDialogOptions)

### PrintDialogOptions.__init__ (self, int)

### PrintDialogOptions.__init__ (self)

### PrintDialogOptions PrintDialogOptions.__and__ (self, int mask)

### int PrintDialogOptions.__bool__ (self)

### bool PrintDialogOptions.__eq__ (self, PrintDialogOptions f)

### PrintDialogOptions PrintDialogOptions.__iand__ (self, int mask)

### int PrintDialogOptions.__int__ (self)

### PrintDialogOptions PrintDialogOptions.__invert__ (self)

### PrintDialogOptions PrintDialogOptions.__ior__ (self, PrintDialogOptions f)

### PrintDialogOptions PrintDialogOptions.__ixor__ (self, PrintDialogOptions f)

### bool PrintDialogOptions.__ne__ (self, PrintDialogOptions f)

### PrintDialogOptions PrintDialogOptions.__or__ (self, PrintDialogOptions f)

### PrintDialogOptions PrintDialogOptions.__or__ (self, int f)

### PrintDialogOptions PrintDialogOptions.__xor__ (self, PrintDialogOptions f)

### PrintDialogOptions PrintDialogOptions.__xor__ (self, int f)